Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1.http
Class PortletPageLocator

    java.lang.Object
      |
      +--oracle.portal.provider.v1.http.PortletPageLocator

Direct Known Subclasses:
  RenderManager

public abstract class PortletPageLocator
extends java.lang.Object

Base class that holds the various attributes for registering `ManagedRenderer`s for each render mode. Accessor methods exist for each render mode. These methods allow you to set or get the `ManagedRenderer` for a specific content type and render mode.

Constructor Summary
`PortletPageLocator()` Null Constructor

Method Summary
`java.lang.String` | `getAboutPage()` Deprecated. Use `getAboutPage(String)` instead.
`ManagedRenderer` | `getAboutPage(java.lang.String type)` Gets the `ManagedRenderer` that renders this portlet's "about" mode with the given content type.
`java.lang.String` | `getAppPath()` Gets the default root virtual path for `Page` `ManagedRenderer`s.
`java.lang.String` | `getAppRoot()` Gets the default root virtual path for `Page` `ManagedRenderer`s.
`java.lang.String` | `getCharSet()` Gets the Default IANA character encoding to be used for for `Page` `ManagedRenderer`s.
`java.lang.String` | `getContentType()` Gets the MIME type to be used as the default content type for all `BaseManagedRenderer`s.
`java.lang.String` | `getDefaultPage()` Deprecated. Use `getDefaultPage(String)` instead.
`ManagedRenderer` | `getDefaultPage(java.lang.String type)` Gets the `ManagedRenderer` that renders this portlet's 'default' page with the given content type.
`java.lang.String` | `getEditDefaultsPage()` Deprecated. Use `getEditDefaultsPage(String)` instead.
`ManagedRenderer` | `getEditDefaultsPage(java.lang.String type)` Gets the `ManagedRenderer` that renders this portlet's "editDefault" mode with the given content type.
`java.lang.String` | `getEditPage()` Deprecated. Use `getEditPage(String)` instead.
`ManagedRenderer` | `getEditPage(java.lang.String type)` Gets the `ManagedRenderer` that renders this portlet's "edit" mode with the given content type.
`java.lang.String` | `getHelpPage()` Deprecated. Use `getHelpPage(String)` instead.
`ManagedRenderer` | `getHelpPage(java.lang.String type)` Gets the `ManagedRenderer` that renders this portlet's "help" mode with the given content type.
`java.lang.String` | `getLinkPage()` Deprecated. Use `getLinkPage(String)` instead.
`ManagedRenderer` | `getLinkPage(java.lang.String type)` Gets the `ManagedRenderer` that renders this portlet's "link" mode with the given content type.
`ManagedRenderer` | `getManagedRenderer(PortletRenderRequest pr)` Returns the `ManagedRenderer` object to be used to render this request.
`int` | `getPageExpires()` Gets the default expiration time (in minutes) of a page produced by a `BaseManagedRenderer`.
`java.lang.String` | `getPageParameterName()` Gets the default name of the request parameter that is used to override the name of the page used by a `Page` `ManagedRenderer`.
`java.lang.String` | `getPagePath(PortletRenderRequest pr)` Deprecated. Use `getManagedRenderer(PortletRenderRequest)`, and the appropriate accessor methods of the returned `ManagedRenderer`.
`java.lang.String` | `getPageRealPath(PortletRenderRequest pr)` Deprecated. Use `getManagedRenderer(PortletRenderRequest)`, and the appropriate accessor methods of the returned `ManagedRenderer`.
`java.lang.String` | `getPreviewPage()` Deprecated. Use `getPreviewPage(String)` instead.
`ManagedRenderer` | `getPreviewPage(java.lang.String type)` Gets the `ManagedRenderer` that renders this portlet's "preview" mode with the given content type.
`java.lang.String` | `getShowDetailsPage()` Deprecated. Use `getShowDetailsPage(String)` instead.
`ManagedRenderer` | `getShowDetailsPage(java.lang.String type)` Gets the `ManagedRenderer` that renders this portlet's "showDetails" mode with the given content type.
`java.lang.String` | `getShowPage()` Deprecated. Use `getShowPage(String)` instead.
`ManagedRenderer` | `getShowPage(java.lang.String type)` Gets the `ManagedRenderer` that renders this portlet's "show" mode with the given content type.
`void` | `setAboutPage(java.lang.Object renderer)` Registers a `ManagedRenderer` that renders this portlet's "about" mode.
`void` | `setAboutPage(java.lang.String page)` Registers a `ManagedRenderer` that renders this portlet's "about" mode.
`void` | `setAppPath(java.lang.String path)` Sets the default root virtual path for `Page` `ManagedRenderer`s.
`void` | `setAppRoot(java.lang.String path)` Sets the default root physical path for `Page` `ManagedRenderer`s.
`void` | `setCharSet(java.lang.String charSet)` Sets the Default IANA character encoding to be used for for `Page` `ManagedRenderer`s.
`void` | `setContentType(java.lang.String contentType)` Sets the MIME type to be used as the default content type for all `BaseManagedRenderer`s.
`void` | `setDefaultPage(java.lang.Object renderer)` Registers a `ManagedRenderer` that renders this portlet's 'default page'.
`void` | `setDefaultPage(java.lang.String page)` Registers a `ManagedRenderer` that renders this portlet's 'default' page.
`void` | `setEditDefaultsPage(java.lang.Object renderer)` Registers a `ManagedRenderer` that renders this portlet's "editDefault" mode.
`void` | `setEditDefaultsPage(java.lang.String page)` Registers a `ManagedRenderer` that renders this portlet's "editDefault" mode.
`void` | `setEditPage(java.lang.Object renderer)` Registers a `ManagedRenderer` that renders this portlet's "edit" mode.
`void` | `setEditPage(java.lang.String page)` Registers a `ManagedRenderer` that renders this portlet's "edit" mode.
`void` | `setHelpPage(java.lang.Object renderer)` Registers a `ManagedRenderer` that renders this portlet's "help" mode.
`void` | `setHelpPage(java.lang.String page)` Registers a `ManagedRenderer` that renders this portlet's "help" mode.
`void` | `setLinkPage(java.lang.Object renderer)` Registers a `ManagedRenderer` that renders this portlet's "link" mode.
`void` | `setLinkPage(java.lang.String page)` Registers a `ManagedRenderer` that renders this portlet's "link" mode.
`void` | `setPageExpires(int expires)` Sets the default expiration time (in minutes) of a page produced by a `BaseManagedRenderer`.
`void` | `setPageExpires(java.lang.String expires)` Sets the default expiration time (in minutes) of a page produced by a `BaseManagedRenderer`.
`void` | `setPageParameterName(java.lang.String name)` Sets the default name of the request parameter that is used to override the name of the page used by a `Page` `ManagedRenderer`.
`void` | `setPreviewPage(java.lang.Object renderer)` Registers a `ManagedRenderer` that renders this portlet's "preview" mode.
`void` | `setPreviewPage(java.lang.String page)` Registers a `ManagedRenderer` that renders this portlet's "preview" mode.
`void` | `setShowDetailsPage(java.lang.Object renderer)` Registers a `ManagedRenderer` that renders this portlet's "showDetails" mode.
`void` | `setShowDetailsPage(java.lang.String page)` Registers a `ManagedRenderer` that renders this portlet's "showDetails" mode.
`void` | `setShowPage(java.lang.Object renderer)` Registers a `ManagedRenderer` that renders this portlet's "show" mode.
`void` | `setShowPage(java.lang.String page)` Registers a `ManagedRenderer` that renders this portlet's "show" mode.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletPageLocator

    public PortletPageLocator()

  Null Constructor

Method Detail

### setContentType

    public void setContentType(java.lang.String contentType)

  Sets the MIME type to be used as the default content type for all `BaseManagedRenderer`s. This parameter will be inherited by any of this renderer's `BaseManagedRenderer`s for which the corresponding parameter has not been directly specified.
  Parameters:
    `contentType` - MIME type to be used as the default content type for `BaseManagedRenderer`s.

### getContentType

    public java.lang.String getContentType()

  Gets the MIME type to be used as the default content type for all `BaseManagedRenderer`s.
  Returns:
    the MIME type to be used as the default content type for all `BaseManagedRenderer`s.

### setPageExpires

    public void setPageExpires(int expires)

  Sets the default expiration time (in minutes) of a page produced by a `BaseManagedRenderer`. This parameter will be inherited by any of this renderer's `BaseManagedRenderer`s for which the corresponding parameter has not been directly specified.
  Parameters:
    `expires` - the default integer number of minutes that the Portal should cache the output of a `BaseManagedRenderer`. If zero, indicates that the output should not be cached by default.

### setPageExpires

    public void setPageExpires(java.lang.String expires)

  Sets the default expiration time (in minutes) of a page produced by a `BaseManagedRenderer`. This parameter will be inherited by any of this renderer's `BaseManagedRenderer`s for which the corresponding parameter has not been directly specified.
  Parameters:
    `expires` - String representation of the default integer number of minutes that the Portal should cache the output of a `BaseManagedRenderer`. If zero, indicates that the output should not be cached by default.

### getPageExpires

    public int getPageExpires()

  Gets the default expiration time (in minutes) of a page produced by a `BaseManagedRenderer`.
  Returns:
    default expiration time in minutes for output from a `BaseManagedRenderer`. If non-zero, indicates the number of minutes the page should be cached by the Portal.

### setAppPath

    public void setAppPath(java.lang.String path)

  Sets the default root virtual path for `Page` `ManagedRenderer`s. This parameter will be inherited by any of this renderer's `Page`s for which the corresponding parameter has not been directly specified.
  Parameters:
    `path` - the default root virtual path for `Page`s.

### getAppPath

    public java.lang.String getAppPath()

  Gets the default root virtual path for `Page` `ManagedRenderer`s.
  Returns:
    the default root virtual path for `Page`s.

### setAppRoot

    public void setAppRoot(java.lang.String path)

  Sets the default root physical path for `Page` `ManagedRenderer`s. This parameter will be inherited by any of this renderer's `Page`s for which the corresponding parameter has not been directly specified.
  Parameters:
    `path` - the default root physical path for `Page`s.

### getAppRoot

    public java.lang.String getAppRoot()

  Gets the default root virtual path for `Page` `ManagedRenderer`s.
  Returns:
    the default root physical path for `Page`s.

### setCharSet

    public void setCharSet(java.lang.String charSet)

  Sets the Default IANA character encoding to be used for for `Page` `ManagedRenderer`s. This parameter will be inherited by any of this renderer's `Page`s for which the corresponding parameter has not been directly specified.
  Parameters:
    `charSet` - default IANA character encoding for `Page`s.

### getCharSet

    public java.lang.String getCharSet()

  Gets the Default IANA character encoding to be used for for `Page` `ManagedRenderer`s.
  Returns:
    default IANA character encoding for `Page`s.

### setPageParameterName

    public void setPageParameterName(java.lang.String name)

  Sets the default name of the request parameter that is used to override the name of the page used by a `Page` `ManagedRenderer`. Used to communicate the "next" page in a portlet that uses multiple pages to render itself. This parameter will be inherited by any of this renderer's `Page`s for which the corresponding parameter has not been directly specified.
  Parameters:
    `name` - the default name of the request parameter that is used to override the page name for `Page`s.

### getPageParameterName

    public java.lang.String getPageParameterName()

  Gets the default name of the request parameter that is used to override the name of the page used by a `Page` `ManagedRenderer`.
  Returns:
    the default name of the request parameter that is used to override the page name for `Page`s.

### setShowPage

    public void setShowPage(java.lang.String page)
                     throws PortletException

  Registers a `ManagedRenderer` that renders this portlet's "show" mode. The `ManagedRenderer` will be a `JspRenderer` for a page with the given name if the name is suffixed by ".jsp" or ".sqljsp", or a `FileRenderer` for a static page with the given name otherwise. The renderer will inherit all this object's 'defaults'.
  Parameters:
    `page` - an `appPath` relative name of a page that renders this portlet's "show" mode.
  Throws:
    PortletException - if an error occurs while initializing a `ManagedRenderer`.

### setShowPage

    public void setShowPage(java.lang.Object renderer)
                     throws PortletException

  Registers a `ManagedRenderer` that renders this portlet's "show" mode.
  Parameters:
    `renderer` - a `ManagedRenderer` object.
  Throws:
    PortletException - if the given object is not a valid `ManagedRenderer` object.

### getShowPage

    public java.lang.String getShowPage()

  Deprecated. Use `getShowPage(String)` instead.

  Gets the name of page displayed by a `Page` `ManagedRenderer` for this portlet's "show" mode with the 'default' content type, as returned by the `getContentType()` method.
  Returns:
    an `appPath` relative name of the corresponding page, or `null` if no such page exists.

### getShowPage

    public ManagedRenderer getShowPage(java.lang.String type)

  Gets the `ManagedRenderer` that renders this portlet's "show" mode with the given content type.
  Returns:
    the `ManagedRenderer` that renders this portlet's "show" mode with the given content type or `null` if no such renderer exists.

### setShowDetailsPage

    public void setShowDetailsPage(java.lang.String page)
                            throws PortletException

  Registers a `ManagedRenderer` that renders this portlet's "showDetails" mode. The `ManagedRenderer` will be a `JspRenderer` for a page with the given name if the name is suffixed by ".jsp" or ".sqljsp", or a `FileRenderer` for a static page with the given name otherwise. The renderer will inherit all this object's 'defaults'.
  Parameters:
    `page` - an `appPath` relative name of a page that renders this portlet's "showDetails" mode.
  Throws:
    PortletException - if an error occurs while initializing a `ManagedRenderer`.

### setShowDetailsPage

    public void setShowDetailsPage(java.lang.Object renderer)
                            throws PortletException

  Registers a `ManagedRenderer` that renders this portlet's "showDetails" mode. If not set, the "show" renderer is used by default.
  Parameters:
    `renderer` - a `ManagedRenderer` object.
  Throws:
    PortletException - if the given object is not a valid `ManagedRenderer` object.

### getShowDetailsPage

    public java.lang.String getShowDetailsPage()

  Deprecated. Use `getShowDetailsPage(String)` instead.

  Gets the name of page displayed by a `Page` `ManagedRenderer` for this portlet's "showDetails" mode with the 'default' content type, as returned by the `getContentType()` method.
  Returns:
    an `appPath` relative name of the corresponding page, or `null` if no such page exists.

### getShowDetailsPage

    public ManagedRenderer getShowDetailsPage(java.lang.String type)

  Gets the `ManagedRenderer` that renders this portlet's "showDetails" mode with the given content type.
  Returns:
    the `ManagedRenderer` that renders this portlet's "showDetails" mode with the given content type or `null` if no such renderer exists.

### setEditPage

    public void setEditPage(java.lang.String page)
                     throws PortletException

  Registers a `ManagedRenderer` that renders this portlet's "edit" mode. The `ManagedRenderer` will be a `JspRenderer` for a page with the given name if the name is suffixed by ".jsp" or ".sqljsp", or a `FileRenderer` for a static page with the given name otherwise. The renderer will inherit all this object's 'defaults'.
  Parameters:
    `page` - an `appPath` relative name of a page that renders this portlet's "edit" mode.
  Throws:
    PortletException - if an error occurs while initializing a `ManagedRenderer`.

### setEditPage

    public void setEditPage(java.lang.Object renderer)
                     throws PortletException

  Registers a `ManagedRenderer` that renders this portlet's "edit" mode. If not set, the "editDefault" renderer is used by default.
  Parameters:
    `renderer` - a `ManagedRenderer` object.
  Throws:
    PortletException - if the given object is not a valid `ManagedRenderer` object.

### getEditPage

    public java.lang.String getEditPage()

  Deprecated. Use `getEditPage(String)` instead.

  Gets the name of page displayed by a `Page` `ManagedRenderer` for this portlet's "edit" mode with the 'default' content type, as returned by the `getContentType()` method.
  Returns:
    an `appPath` relative name of the corresponding page, or `null` if no such page exists.

### getEditPage

    public ManagedRenderer getEditPage(java.lang.String type)

  Gets the `ManagedRenderer` that renders this portlet's "edit" mode with the given content type.
  Returns:
    the `ManagedRenderer` that renders this portlet's "edit" mode with the given content type or `null` if no such renderer exists.

### setEditDefaultsPage

    public void setEditDefaultsPage(java.lang.String page)
                             throws PortletException

  Registers a `ManagedRenderer` that renders this portlet's "editDefault" mode. The `ManagedRenderer` will be a `JspRenderer` for a page with the given name if the name is suffixed by ".jsp" or ".sqljsp", or a `FileRenderer` for a static page with the given name otherwise. The renderer will inherit all this object's 'defaults'.
  Parameters:
    `page` - an `appPath` relative name of a page that renders this portlet's "editDefault" mode.
  Throws:
    PortletException - if an error occurs while initializing a `ManagedRenderer`.

### setEditDefaultsPage

    public void setEditDefaultsPage(java.lang.Object renderer)
                             throws PortletException

  Registers a `ManagedRenderer` that renders this portlet's "editDefault" mode. If not set, the "edit" renderer is used by default.
  Parameters:
    `renderer` - a `ManagedRenderer` object.
  Throws:
    PortletException - if the given object is not a valid `ManagedRenderer` object.

### getEditDefaultsPage

    public java.lang.String getEditDefaultsPage()

  Deprecated. Use `getEditDefaultsPage(String)` instead.

  Gets the name of page displayed by a `Page` `ManagedRenderer` for this portlet's "editDefault" mode with the 'default' content type, as returned by the `getContentType()` method.
  Returns:
    an `appPath` relative name of the corresponding page, or `null` if no such page exists.

### getEditDefaultsPage

    public ManagedRenderer getEditDefaultsPage(java.lang.String type)

  Gets the `ManagedRenderer` that renders this portlet's "editDefault" mode with the given content type.
  Returns:
    the `ManagedRenderer` that renders this portlet's "editDefault" mode with the given content type or `null` if no such renderer exists.

### setPreviewPage

    public void setPreviewPage(java.lang.String page)
                        throws PortletException

  Registers a `ManagedRenderer` that renders this portlet's "preview" mode. The `ManagedRenderer` will be a `JspRenderer` for a page with the given name if the name is suffixed by ".jsp" or ".sqljsp", or a `FileRenderer` for a static page with the given name otherwise. The renderer will inherit all this object's 'defaults'.
  Parameters:
    `page` - an `appPath` relative name of a page that renders this portlet's "preview" mode.
  Throws:
    PortletException - if an error occurs while initializing a `ManagedRenderer`.

### setPreviewPage

    public void setPreviewPage(java.lang.Object renderer)
                        throws PortletException

  Registers a `ManagedRenderer` that renders this portlet's "preview" mode.
  Parameters:
    `renderer` - a `ManagedRenderer` object.
  Throws:
    PortletException - if the given object is not a valid `ManagedRenderer` object.

### getPreviewPage

    public java.lang.String getPreviewPage()

  Deprecated. Use `getPreviewPage(String)` instead.

  Gets the name of page displayed by a `Page` `ManagedRenderer` for this portlet's "preview" mode with the 'default' content type, as returned by the `getContentType()` method.
  Returns:
    an `appPath` relative name of the corresponding page, or `null` if no such page exists.

### getPreviewPage

    public ManagedRenderer getPreviewPage(java.lang.String type)

  Gets the `ManagedRenderer` that renders this portlet's "preview" mode with the given content type.
  Returns:
    the `ManagedRenderer` that renders this portlet's "preview" mode with the given content type or `null` if no such renderer exists.

### setAboutPage

    public void setAboutPage(java.lang.String page)
                      throws PortletException

  Registers a `ManagedRenderer` that renders this portlet's "about" mode. The `ManagedRenderer` will be a `JspRenderer` for a page with the given name if the name is suffixed by ".jsp" or ".sqljsp", or a `FileRenderer` for a static page with the given name otherwise. The renderer will inherit all this object's 'defaults'.
  Parameters:
    `page` - an `appPath` relative name of a page that renders this portlet's "about" mode.
  Throws:
    PortletException - if an error occurs while initializing a `ManagedRenderer`.

### setAboutPage

    public void setAboutPage(java.lang.Object renderer)
                      throws PortletException

  Registers a `ManagedRenderer` that renders this portlet's "about" mode.
  Parameters:
    `renderer` - a `ManagedRenderer` object.
  Throws:
    PortletException - if the given object is not a valid `ManagedRenderer` object.

### getAboutPage

    public java.lang.String getAboutPage()

  Deprecated. Use `getAboutPage(String)` instead.

  Gets the name of page displayed by a `Page` `ManagedRenderer` for this portlet's "about" mode with the 'default' content type, as returned by the `getContentType()` method.
  Returns:
    an `appPath` relative name of the corresponding page, or `null` if no such page exists.

### getAboutPage

    public ManagedRenderer getAboutPage(java.lang.String type)

  Gets the `ManagedRenderer` that renders this portlet's "about" mode with the given content type.
  Returns:
    the `ManagedRenderer` that renders this portlet's "about" mode with the given content type or `null` if no such renderer exists.

### setHelpPage

    public void setHelpPage(java.lang.String page)
                     throws PortletException

  Registers a `ManagedRenderer` that renders this portlet's "help" mode. The `ManagedRenderer` will be a `JspRenderer` for a page with the given name if the name is suffixed by ".jsp" or ".sqljsp", or a `FileRenderer` for a static page with the given name otherwise. The renderer will inherit all this object's 'defaults'.
  Parameters:
    `page` - an `appPath` relative name of a page that renders this portlet's "show" mode.
  Throws:
    PortletException - if an error occurs while initializing a `ManagedRenderer`.

### setHelpPage

    public void setHelpPage(java.lang.Object renderer)
                     throws PortletException

  Registers a `ManagedRenderer` that renders this portlet's "help" mode.
  Parameters:
    `renderer` - a `ManagedRenderer` object.
  Throws:
    PortletException - if the given object is not a valid `Page` object.

### getHelpPage

    public java.lang.String getHelpPage()

  Deprecated. Use `getHelpPage(String)` instead.

  Gets the name of page displayed by a `Page` `ManagedRenderer` for this portlet's "help" mode with the 'default' content type, as returned by the `getContentType()` method.
  Returns:
    an `appPath` relative name of the corresponding page, or `null` if no such page exists.

### getHelpPage

    public ManagedRenderer getHelpPage(java.lang.String type)

  Gets the `ManagedRenderer` that renders this portlet's "help" mode with the given content type.
  Returns:
    the `ManagedRenderer` that renders this portlet's "help" mode with the given content type or `null` if no such renderer exists.

### setLinkPage

    public void setLinkPage(java.lang.String page)
                     throws PortletException

  Registers a `ManagedRenderer` that renders this portlet's "link" mode. The `ManagedRenderer` will be a `JspRenderer` for a page with the given name if the name is suffixed by ".jsp" or ".sqljsp", or a `FileRenderer` for a static page with the given name otherwise. The renderer will inherit all this object's 'defaults'.
  Parameters:
    `page` - an `appPath` relative name of a page that renders this portlet's "show" mode.
  Throws:
    PortletException - if an error occurs while initializing a `ManagedRenderer`.

### setLinkPage

    public void setLinkPage(java.lang.Object renderer)
                     throws PortletException

  Registers a `ManagedRenderer` that renders this portlet's "link" mode.
  Parameters:
    `renderer` - a `ManagedRenderer` object.
  Throws:
    PortletException - if the given object is not a valid `Page` object.

### getLinkPage

    public java.lang.String getLinkPage()

  Deprecated. Use `getLinkPage(String)` instead.

  Gets the name of page displayed by a `Page` `ManagedRenderer` for this portlet's "link" mode with the 'default' content type, as returned by the `getContentType()` method.
  Returns:
    an `appPath` relative name of the corresponding page, or `null` if no such page exists.

### getLinkPage

    public ManagedRenderer getLinkPage(java.lang.String type)

  Gets the `ManagedRenderer` that renders this portlet's "link" mode with the given content type.
  Returns:
    the `ManagedRenderer` that renders this portlet's "link" mode with the given content type or `null` if no such renderer exists.

### setDefaultPage

    public void setDefaultPage(java.lang.String page)
                        throws PortletException

  Registers a `ManagedRenderer` that renders this portlet's 'default' page. This page is used when no `ManagedRenderer` has been specified for the specific mode of the render request. The `ManagedRenderer` will be a `JspRenderer` for a page with the given name if the name is suffixed by ".jsp" or ".sqljsp", or a `FileRenderer` for a static page with the given name otherwise. The renderer will inherit all this object's 'defaults'.
  Parameters:
    `page` - an `appPath` relative name of a page that renders this portlet's 'default' page.
  Throws:
    PortletException - if an error occurs while initializing a `ManagedRenderer`.

### setDefaultPage

    public void setDefaultPage(java.lang.Object renderer)
                        throws PortletException

  Registers a `ManagedRenderer` that renders this portlet's 'default page'. This renderer is used when no `ManagedRenderer` has been specified for the specific mode of the render request.
  Parameters:
    `renderer` - a `ManagedRenderer` object.
  Throws:
    PortletException - if the given object is not a valid `Page` object.

### getDefaultPage

    public java.lang.String getDefaultPage()

  Deprecated. Use `getDefaultPage(String)` instead.

  Gets the name of page displayed by a `Page` `ManagedRenderer` for this portlet's 'default' page with the 'default' content type, as returned by the `getContentType()` method.
  Returns:
    an `appPath` relative name of the corresponding page, or `null` if no such page exists.

### getDefaultPage

    public ManagedRenderer getDefaultPage(java.lang.String type)

  Gets the `ManagedRenderer` that renders this portlet's 'default' page with the given content type. This renderer is used when no `ManagedRenderer` has been specified for the specific mode of the render request.
  Returns:
    the `ManagedRenderer` that renders this 'default' page with the given content type or `null` if no such renderer exists.

### getPagePath

    public java.lang.String getPagePath(PortletRenderRequest pr)
                                 throws PortletException

  Deprecated. Use `getManagedRenderer(PortletRenderRequest)`, and the appropriate accessor methods of the returned `ManagedRenderer`.

  Returns the virtual path used by the `Page` `ManagedRenderer` that renders this request.
  Parameters:
    `pr` - the current render request.
  Returns:
    the virtual path to the page that should be used to render this request.
  Throws:
    PortletException - if a page isn't implicitly or explicitly defined.

### getPageRealPath

    public java.lang.String getPageRealPath(PortletRenderRequest pr)
                                     throws PortletException

  Deprecated. Use `getManagedRenderer(PortletRenderRequest)`, and the appropriate accessor methods of the returned `ManagedRenderer`.

  Returns the physical path used by the `Page` `ManagedRenderer` that renders this request.
  Parameters:
    `pr` - the current render request.
  Returns:
    the physical path to the page that should be used to render this request.
  Throws:
    PortletException - if a page isn't implicitly or explicitly defined.

### getManagedRenderer

    public ManagedRenderer getManagedRenderer(PortletRenderRequest pr)
                                       throws PortletException

  Returns the `ManagedRenderer` object to be used to render this request. The method looks for a `ManagedRenderer` registered for the appropriate mode whose content type matches the preferred content type of the render request. If no such `ManagedRenderer` exists, the method returns the `ManagedRenderer` registered as the 'default' for that content type, if one exists.
  Parameters:
    `pr` - the current render request.
  Returns:
    a `ManagedRenderer` to be used to render this request.
  Throws:
    PortletException - if no suitable `ManagedRenderer` has been registered.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD